## org.eclipse.datatools.sqltools.common.ui.tableviewer
Class TableDataTableCursor

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.swt.widgets.Canvas
                          org.eclipse.datatools.sqltools.common.ui.tableviewer.TableCursor
                              org.eclipse.datatools.sqltools.common.ui.tableviewer.TableDataTableCursor

All Implemented Interfaces:
  org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.swt.graphics.Drawable

    public class TableDataTableCursor

extends TableCursor
implements org.eclipse.jface.viewers.ISelectionProvider

A TableDataTableCursor provides a way for the user to navigate around a `AccessibleTableViewer` using the keyboard. It also provides a mechanism for selecting an individual cell in a table.

Author:
  lihuang

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Composite
`embeddedHandle`

Fields inherited from class org.eclipse.swt.widgets.Widget
`handle`

Constructor Summary
`TableDataTableCursor(AccessibleTableViewer tableViewer)`

Method Summary
`void` `addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void` `edit()`
`int` `getColumn()` Returns the column over which the TableCursor is positioned.
`org.eclipse.jface.viewers.ISelection` `getSelection()`
`int` `getTableRow()`
`void` `registerListeners()`
`void` `removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
`void` `selectionChanged()`
`void` `setSelection(int row, int column)` Positions the TableCursor over the cell at the given row and column in the parent table.
`void` `setSelection(org.eclipse.jface.viewers.ISelection selection)`
`void` `setSelection(org.eclipse.swt.widgets.TableItem row, int column)` Positions the TableCursor over the cell at the given row and column in the parent table.

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.tableviewer.TableCursor
`addSelectionListener, getRow, removeSelectionListener, setBackground, setForeground, setVisible`

Methods inherited from class org.eclipse.swt.widgets.Canvas
`drawBackground, getCaret, getIME, scroll, setCaret, setFont, setIME`

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, computeSize, getBackgroundMode, getChildren, getClientArea, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getBorderWidth, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getRegion, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTraverseListener, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setRegion, setSize, setSize, setToolTipText, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, dispose, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableDataTableCursor

    public TableDataTableCursor(AccessibleTableViewer tableViewer)

Method Detail

### registerListeners

    public void registerListeners()

### edit

    public void edit()

### addSelectionChangedListener

    public void addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

  Specified by:
    `addSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

  Specified by:
    `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### removeSelectionChangedListener

    public void removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

  Specified by:
    `removeSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### setSelection

    public void setSelection(org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `setSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`

### selectionChanged

    public void selectionChanged()

### setSelection

    public void setSelection(int row,
                             int column)

  Description copied from class: `TableCursor`
  Positions the TableCursor over the cell at the given row and column in the parent table.

  Overrides:
    `setSelection` in class `TableCursor`
  Parameters:
    `row` - the index of the row for the cell to select
    `column` - the index of column for the cell to select

### setSelection

    public void setSelection(org.eclipse.swt.widgets.TableItem row,
                             int column)

  Description copied from class: `TableCursor`
  Positions the TableCursor over the cell at the given row and column in the parent table.

  Overrides:
    `setSelection` in class `TableCursor`
  Parameters:
    `row` - the TableItem of the row for the cell to select
    `column` - the index of column for the cell to select

### getColumn

    public int getColumn()

  Description copied from class: `TableCursor`
  Returns the column over which the TableCursor is positioned.

  Overrides:
    `getColumn` in class `TableCursor`
  Returns:
    the column for the current position

### getTableRow

    public int getTableRow()